Проблем са графичким драјвером OpenSuse

Преузео сам игру са Стеама Fistful of Frags, покушао сам да је покренем, грешка је следећа:
“Could not find required OpenGL enty point ‘glColorMaskIndexedEXT’! Either your video card is unsupported, or your OpenGL needs to be updated.”
Е сада, покушао сам да инсталирам драјвер за графу. Графа је Ati Radeon HD 1650 512mb. Преузео сам драјвер са Ати сајта, покренуо .run фајл, али грешка је следећа:

[CODE][email protected]:~/Downloads> chmod u+x ati-driver-installer-9-3-x86.x86_64.run
[email protected]:~/Downloads> ./ati-driver-installer-9-3-x86.x86_64.run
Created directory fglrx-install.VDbvui
Verifying archive integrity… All good.
Uncompressing ATI Proprietary Linux Driver-8.593…




ATI Technologies Linux Driver Installer/Packager

which: no XFree86 in (/home/mile/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games)

Error: ./default_policy.sh does not support version
default:v2:x86_64:lib::none:4.4.76-1-default; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.VDbvui[/CODE]

Nema tvoja grafička podršku za vlasnički drajver, mnogo je matora,da bi se instalirao neki od postojećih vlasničkih drajvera. Osim toga za Ati Radeon nema više vlasničkih drajvera, ne razvijaju se više, novije Radeon kartice koriste isključivo open source rešenja. Nemoj uzalud da se cimaš sa tim vlasničkim drajverom.

Amd koristi opensource drajvere tako da su verovatno već instalirani. Možeš da proveriš iz terminala koja je verzija.

glxinfo | grep "OpenGL version"

Možda ti fale neke 32bit biblioteke, verovatno su one što dolaze uz steam matore pa se ne slažu sa novim drajverima.

Не постоји та команда.

linux-q15t:/home/mile # glxinfo | grep "OpenGL version" glxinfo: command not found

Ево, графа користи овај драјвер

linux-q15t:/home/mile # lspci | grep VGA 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV535 [Radeon X1650 PRO] (rev 9e)

@Hatori

Средио сам ствари, пошто на мојој уврнутој конф не може да се инсталира систем преко усб-а, нашао сам свој први Линукс затурен у фиоци. Убунту 14.04, Јунити, требало би да на њему буде све ок.

Moraš da instaliraš drajver to je problem, steam ne radi sa open drajverima, na primer ja nemogu uopšte da instaliram steam sa default drajverom odmah mi izbaci da mi traži OpenGL tek kad to uradim sve prođe kako treba.
Ne koristim Suse, ali ovo se meni dešavalo na drugim linuks sistemima. Ne znam da li I Suse ima neki vlasnički drajver i posle će ti sve verovatno raditi, bar je tako meni bilo, posle instalacije drajvera sve radi kao sat, sve igre sam igrao normalno.
Ako i to ne pođe treba proveriti da li igra koju si naveo može na Suse ili ne. Steam uvek u specifikaciji navodi određeni Ubuntu, jer starije verzije nemaju odgovarajuće biblioteke tako da I to ume da bude problem.

Steam sasvim lepo radi sa open drajverima, recimo Manjaro je to rešio preko steam-native paketa preko kojeg instalira sve potrebne libove. Ovde je veći problem grafička koja je odavno puštena niz vodu što se podrške tiče. Možda je u ovom konkretnom slučaju najbolje napraviti dualboot, umesto da se koristi neki stari distro.

Да, стеам ради, али не раде игре, стеам се ок инсталирао, покреће се, али игре не.

Не знам, по мени никакво решење није два система, јер радиш на Линуксу, хоћеш мало да се поиграш, рестарт па да се подигне вин, процедура. Сутра ћу купити диск па ћу пробати ТРИОС, надам се да ће на њему радити драјвери са којима ћу моћи да одиграм неку игру на Стеаму.

Da li si probao za grafičku
sudo add-apt-repository ppa:eek:ibaf/graphics-drivers
Preko toga instaliraš steam i dobiješ ažururanje grafičke za 32 bit
Ja sam tako igrao igre na Steam na LM, ali nije perfektno, ali je radilo